%define version 1.1.3 
%define release %mkrel 4

Name:		kpovmodeler
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://www.kde.org
Group:		Graphical desktop/KDE4
Source0:	kpovmodeler-1.1.3-kde4.3.0.tar.bz2
Summary:        KPovModeler is a modeling and composition program
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  kdegraphics4-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
KPovModeler is a modeling and composition program for creating POV-Ray(TM) scenes in KDE.

For most of the modelers, POV-Ray is nothing but a rendering engine and they bring a
lot of limitations to the innate possibilities of POV-Ray scripted language.
This is not the case for KPovModeler which allows you to use all the features
of POV-Ray through the translation of POV-Ray language into a graphical tree. 

%description -l de
KPovModeler ist eine Modellierungs-und Zusammensetzung Programm zum Erstellen von POV-Ray (TM)-Szenen in KDE.

%description -l fr
KPovModeler est un programme de modélisation et de composition pour la création de POV-Ray (MC) des scènes dans KDE.

%description -l es
KPovModeler es un programa de modelado y composición para la creación de POV-Ray (TM) de escenas en KDE.

%description -l pl
KPovModeler jest modelowanie i program do tworzenia kompozycji POV-Ray (TM) sceny w KDE.

%description -l sr
КПовМоделер је моделовања и композиције програм за креирање Ист-Раы (ТМ) КДЕ-у сцена.

%description -l nl
KPovModeler is een modellering en samenstelling programma voor het creëren van POV-Ray (TM) scènes in KDE.


%prep
%setup -q -n kpovmodeler-1.1.3-kde4.3.0

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name}


rm -f %buildroot%_kde_libdir/*.so

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %buildroot

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
/*


%changelog
* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.1.3-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Thu Aug 06 2009 pcserver <pcserver at hushmail.com> 
- create 
